UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Namespaces | Classes | Functions
uhd::transport Namespace Reference

## Namespaces
| vrt

## Classes
class | bounded_buffer
class | buffer_pool
struct | if_addrs_t
class | udp_simple
class | udp_zero_copy
class | usb_control
class | usb_device_handle
class | usb_zero_copy
class | managed_buffer
| Simple managed buffer with release interface. More...
class | managed_recv_buffer
class | managed_send_buffer
class | zero_copy_if

## Functions
UHD_API std::vector< if_addrs_t > | get_if_addrs (void)
UHD_INLINE void | intrusive_ptr_add_ref (managed_buffer *p)
UHD_INLINE void | intrusive_ptr_release (managed_buffer *p)

## Function Documentation

UHD_API std::vector<if_addrs_t> uhd::transport::get_if_addrs | ( | void |  | ) |

Get a list of network interface addresses. The internal implementation is system-dependent.

Returns
  a vector of if addrs

UHD_INLINE void uhd::transport::intrusive_ptr_add_ref | ( | managed_buffer * | p | ) |

UHD_INLINE void uhd::transport::intrusive_ptr_release | ( | managed_buffer * | p | ) |